import request from "@/request/index";
import { useNow, useDateFormat } from '@vueuse/core'

const date = useDateFormat(useNow(), 'YYYY-MM-DD').value
// const yesday = useDateFormat((new Date).getTime() - 24 * 60 * 60 * 1000, 'YYYY-MM-DD').value
  
export function GetThlljc() {
  return request({
    url: '/DigitalTwin/trafficSafe/GetRunningInfo',
    method: "post"
  })
}

export function GetCbxx() {
  return request({
    url: '/DigitalTwin/trafficSafe/GetBoatStatistic',
    method: "post"
  })
}

export function GetThllByHour(wantedTime) {
  return request({
    url: '/DigitalTwin/trafficSafe/GetFluxByHour',
    method: "post",
    data: {
      wantedTime
    }
  })
}